Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface ISiteFactory

All Known Implementing Classes:
  BaseSiteFactory

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface ISiteFactory

Site factory interface. A site factory is used to construct new instances of concrete sites.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `BaseSiteFactory`

Method Summary
`ISite` `createSite(URL url)` Deprecated. Returns a site defined by the supplied URL.

Method Detail

### createSite

    ISite createSite(URL url)
                     throws CoreException,
                            InvalidSiteTypeException

  Deprecated.
  Returns a site defined by the supplied URL.

  The actual interpretation of the URL is site-type specific. In most cases the URL will point to some site-specific file that can be used (directly or indirectly) to construct the site object.

  Parameters:
    `url` - URL interpreted by the site
  Returns:
    site object
  Throws:
    `CoreException`
    `InvalidSiteTypeException` - the referenced site type is not a supported type for this factory
  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.